// MultipleUndoRedoMenu.h: interface for the CMultipleUndoRedoMenu class.
//
//////////////////////////////////////////////////////////////////////

#if !defined(MULTIPLEUNDOREDOMENU_H)
#define MULTIPLEUNDOREDOMENU_H

#if _MSC_VER >= 1000
#pragma once
#endif // _MSC_VER >= 1000

#include <afxwin.h>

struct UMNotificationData;

class CMultipleUndoRedoMenu  
{
public:
	static void Build(CMenu *menuBar, const void *actionTarget);

protected:
	static void Get(CMenu *menuBar, CMenu *&undoMenu, CMenu *&redoMenu);

	static const CString undoItem;
	static const CString redoItem;
};

// Builds undp/redo submenus for multiple, simultaneous undo/redo;
// also calls default notifier so the document will be marked correctly
void UMSubMenuBuilder(void *actionTarget, UMNotificationData &data);

#endif
