// ParagraphTable.h: interface for the CParagraphTable class.
//
// Copyright (c) 1998 Matt Clay, all rights reserved.
//
// Utility data structure for multiple paragraph styles. Though this
// structure is a simple vector, all routines assume and should main-
// tain the "run" array property.
//
//////////////////////////////////////////////////////////////////////

#if !defined(PARAGRAPHTABLE_H)
#define PARAGRAPHTABLE_H

#if _MSC_VER >= 1000
#pragma once
#endif // _MSC_VER >= 1000

#pragma warning(disable:4786)

#include "ParagraphStyle.h"
#include <vector>

typedef std::vector<CParagraphStyle> CParagraphTable;

#endif
