// PasteSpecialData.h: interface for the CPasteSpecialData class.
//
// Copyright (c) 1998 Matt Clay, all rights reserved.
//
// Utility data structure for containing data from the Paste Special
// dialog box.
//
//////////////////////////////////////////////////////////////////////

#if !defined(PASTESPECIALDATA_H)
#define PASTESPECIALDATA_H

#if _MSC_VER >= 1000
#pragma once
#endif // _MSC_VER >= 1000

#include <ocidl.h>

class CPasteSpecialData {
public:
	CPasteSpecialData(DVASPECT _dv = DVASPECT_CONTENT, HMETAFILE _hmf = 0, CLIPFORMAT _cf = 0)
		: dv(_dv), hmf(_hmf), cf(_cf) { }

	virtual ~CPasteSpecialData();

	DVASPECT dv;
	HMETAFILE hmf;
	CLIPFORMAT cf;
};

#endif // !defined(AFX_PASTESPECIALDATA_H__1CA7E021_F932_11D1_8932_444553540000__INCLUDED_)
