// SimpleUndoRedoMenu.h: interface for the CSimpleUndoRedoMenu class.
//
// Copyright (c) 1998 Matt Clay, all rights reserved.
//
//////////////////////////////////////////////////////////////////////

#if !defined(SIMPLEUNDOREDOMENU_H)
#define SIMPLEUNDOREDOMENU_H

#if _MSC_VER >= 1000
#pragma once
#endif // _MSC_VER >= 1000

#include <afxwin.h>

struct UMNotificationData;

class CSimpleUndoRedoMenu {
public:
	static void Build(CMenu *menuBar, const void *aTarget);

protected:
	static const CString menuItem[2];
	static const CString accelerator[2];
	static const CString undoItem;
	static const CString redoItem;
};

// Builds simple undo/redo menu (Undo + Action Name + Accelerator);
// also calls default notifier so the document will be marked correctly
void UMSimpleMenuBuilder(void *actionTarget, UMNotificationData &data);

#endif
