// StyleTable.h: interface for the CStyleTable class.
//
// Copyright (c) 1998 Matt Clay, all rights reserved.
//
// Utility data structure for multiple text styles. Though this
// structure is a simple vector, all routines assume and should
// maintain the "run" array property.
//
//////////////////////////////////////////////////////////////////////

#if !defined(STYLETABLE_H)
#define STYLETABLE_H

#if _MSC_VER >= 1000
#pragma once
#endif // _MSC_VER >= 1000

#pragma warning(disable:4786)

#include "TextStyle.h"
#include <vector>

typedef std::vector<CTextStyle> CStyleTable;

#endif
