// BEAction.cpp: implementation of the CBEAction class.
//
// Copyright (c) 1998 Matt Clay, all rights reserved.
//
//////////////////////////////////////////////////////////////////////

#include "stdafx.h"
#include "BEAction.h"
#include "BetterEditView.h"

#ifdef _DEBUG
#undef THIS_FILE
static char THIS_FILE[]=__FILE__;
#define new DEBUG_NEW
#endif

//////////////////////////////////////////////////////////////////////
// Construction/Destruction
//////////////////////////////////////////////////////////////////////

CBEAction::CBEAction(CBetterEditView *aView, UINT type)
	: CAction(aView->GetActionTarget(), type), operationTarget(aView)
{

}

CBEAction::~CBEAction()
{

}

void CBEAction::DoTyping(UINT, UINT, UINT)
{

}

bool CBEAction::CanStillType() const
{
	return false;
}

void CBEAction::Undo()
{
	CAction::Undo();

	// regain the input focus
	operationTarget->SetFocus();
}

void CBEAction::Redo()
{
	CAction::Redo();

	// regain the input focus
	operationTarget->SetFocus();
}
