// BEEditAction.h: interface for the CBEEditAction class.
//
// Copyright (c) 1998 Matt Clay, all rights reserved.
//
// This class provides support for the common edit operations
// like cut, paste and clear (delete), as well supporting Paste
// Special. It performs an operation then records the selection
// subclasses should override PerformOperation().
//
//////////////////////////////////////////////////////////////////////

#if !defined(BEEDITACTION_H)
#define BEEDITACTION_H

#if _MSC_VER >= 1000
#pragma once
#endif // _MSC_VER >= 1000

#include "BETextAction.h"

class CBEEditAction : public CBETextAction  
{
public:
	CBEEditAction(CBetterEditView *aView, UINT actionType, void *data);
	virtual ~CBEEditAction();

	virtual	void		Do();

protected:
	virtual void		PerformOperation();
};

#endif
