// REAction.cpp: implementation of the CREAction class.
//
// Copyright (c) 1998 Matt Clay, all rights reserved.
//
//////////////////////////////////////////////////////////////////////

#include "stdafx.h"
#include "RicherEditView.h"
#include "REAction.h"

#ifdef _DEBUG
#undef THIS_FILE
static char THIS_FILE[]=__FILE__;
#define new DEBUG_NEW
#endif

//////////////////////////////////////////////////////////////////////
// Construction/Destruction
//////////////////////////////////////////////////////////////////////

CREAction::CREAction(CRicherEditView *aView, UINT type)
	: CAction(aView->GetActionTarget(), type), operationTarget(aView)
{

}

CREAction::~CREAction()
{

}

void CREAction::DoTyping(UINT, UINT, UINT)
{

}

bool CREAction::CanStillType() const
{
	return false;
}

void CREAction::Undo()
{
	CAction::Undo();

	// regain the input focus
	operationTarget->SetFocus();
}

void CREAction::Redo()
{
	CAction::Redo();

	// regain the input focus
	operationTarget->SetFocus();
}
