// ReplaceData.h: interface for the ReplaceData class.
//
// Copyright (c) 1998 Matt Clay, all rights reserved.
//
// Utility data structure for the replacing text. 
//
//////////////////////////////////////////////////////////////////////

#if !defined(REPLACEDATA_H)
#define REPLACEDATA_H

#if _MSC_VER >= 1000
#pragma once
#endif // _MSC_VER >= 1000

#include "TextActionUtil.h"

struct ReplaceData
{
	ReplaceData(const CString &rt = "",
				const CString &ft = "",
				BOOL bCase = FALSE, BOOL bWord = FALSE)
		: replaceText(rt), findText(ft),
		  caseSpecific(bCase), wholeWord(bWord)
	{
	}

	CString replaceText, findText;
	BOOL caseSpecific, wholeWord;
};

#endif
